Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Unity disrupted by Janitor

  1. #1
    Join Date
    Feb 2008
    Beans
    38
    Distro
    Ubuntu 14.04 Trusty Tahr

    Unity Destroyed by Janitor

    Ubuntu 12.04

    After using "Computer Janitor" (I should have know that a janitor is not qualified to operate as a super user) Unity does not work any more. After trying to reinstall using
    Code:
    sudo apt-get install unity
    I get this message:

    Code:
    The following packages have unmet dependencies:
     unity : Depends: libunity-coresynaptic
    -5.0-5 (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
             Depends: unity-common (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
    Suggestions please.
    Last edited by FuzzyFeat; January 11th, 2013 at 01:45 AM. Reason: added code bracket
    There is no sense in having a plan if you're not going to pretend to follow it.

  2. #2
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: Unity disrupted by Janitor

    Try
    Code:
    sudo apt-get install ubuntu-desktop
    DISTRO: Xubuntu 16.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo --- Wireless-Info

  3. #3
    Join Date
    Feb 2008
    Beans
    38
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Unity disrupted by Janitor

    Thanks. Tried the command and now the list of the "UNMET" is getting longer.

    Code:
    The following packages have unmet dependencies:
     ubuntu-desktop : Depends: unity but it is not going to be installed
    The same list of unmet dependencies still comes up when it try
    Code:
    sudo apt-get install unity
    Code:
    The following packages have unmet dependencies:
     unity : Depends: libunity-core-5.0-5 (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
             Depends: unity-common (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
    E: Unable to correct problems, you have held broken packages.
    Last edited by FuzzyFeat; January 10th, 2013 at 12:08 AM. Reason: Added information
    There is no sense in having a plan if you're not going to pretend to follow it.

  4. #4
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: Unity disrupted by Janitor

    OK, you need to fix the broken packages first so try
    Code:
    sudo apt-get install -f
    DISTRO: Xubuntu 16.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo --- Wireless-Info

  5. #5
    Join Date
    Feb 2008
    Beans
    38
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Unity disrupted by Janitor

    First, thank you for the assistance.

    after running
    Code:
    sudo apt-get install -f
    (I had run this before) the results were:

    Code:
     master@slave:~$ sudo apt-get install -f
    [sudo] password for master: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 17 not upgraded.
    After that I ran the install command for unity and got the same dependency problem.No change.
    Last edited by FuzzyFeat; January 10th, 2013 at 12:21 AM. Reason: code brackets
    There is no sense in having a plan if you're not going to pretend to follow it.

  6. #6
    Join Date
    Mar 2010
    Beans
    4

    Re: Unity disrupted by Janitor

    I am not an expert but sometimes using aptitude instead of apt-get takes care of dependencies for me (running 12.04 with Unity).

  7. #7
    Join Date
    Feb 2008
    Beans
    38
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Unity disrupted by Janitor

    When I use "aptitude" I get "command not found"
    There is no sense in having a plan if you're not going to pretend to follow it.

  8. #8
    Join Date
    Feb 2011
    Location
    Somewhere...
    Beans
    1,558
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: Unity disrupted by Janitor

    Try doing a
    Code:
    sudo apt-get update
    first, and then retry the instructions above.
    Also, aptitude is not installed by default. You must install it:
    Code:
    sudo apt-get install aptitude
    Aptitude handles dependencies better than apt-get, but I doubt it will help you much more.

  9. #9
    Join Date
    Feb 2008
    Beans
    38
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Unity disrupted by Janitor

    Installed "aptitude" and went through all the commands again and this is what I get.

    Code:
    The following packages have unmet dependencies:
     unity : Depends: libunity-core-5.0-5 (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
             Depends: unity-common (= 5.10.0-0ubuntu6) but 5.12-0ubuntu1.1 is to be installed
    E: Unable to correct problems, you have held broken packages.
    Looks like I will have to either repair the broken packages or do a full re-install.

    Other problems have surfaced also: suspend no longer works. Used to work just fine. Now is locks up on resume with a dark screen. Trying to disable suspend but I can't remember the command for the system app.
    There is no sense in having a plan if you're not going to pretend to follow it.

  10. #10
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: Unity disrupted by Janitor

    Now try installing and using synaptic which is very good at sorting out held or broken packages.
    Use
    Code:
    sudo apt-get install synaptic
    Start synaptic from dash and use the Edit ->Fix Broken Packages menu item. If that does not work I do not know what else to suggest.
    DISTRO: Xubuntu 16.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo --- Wireless-Info

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •